# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.sling.launchpad.app.Main
Modifier and Type
Constant Field
Value
`protected static final String`
`PROP_CONTROL_ACTION`
`"sling.control.action"`
`protected static final String`
`PROP_CONTROL_SOCKET`
`"sling.control.socket"`

org.apache.sling.launchpad.base.impl.DirectoryUtil
Modifier and Type
Constant Field
Value
`public static final String`
`PATH_CONF`
`"conf"`
`public static final String`
`PATH_STARTUP`
`"startup"`
org.apache.sling.launchpad.base.impl.Sling
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_PROPERTIES`
`"sling.properties"`
`public static final String`
`JCR_REPO_CONFIG_FILE_URL`
`"sling.repository.config.file.url"`
`public static final String`
`JCR_REPO_HOME`
`"sling.repository.home"`
`public static final String`
`OSGI_FRAMEWORK_BUNDLES`
`"org.apache.osgi.bundles"`
`public static final String`
`PROP_EXTRA_CAPS`
`"org.apache.sling.launcher.system.capabilities.extra"`
`public static final String`
`PROP_SYSTEM_PACKAGES`
`"org.apache.sling.launcher.system.packages"`
`public static final String`
`SLING_HOME_URL`
`"sling.home.url"`
`public static final String`
`SLING_IGNORE_SYSTEM_PROPERTIES`
`"sling.ignoreSystemProperties"`

org.apache.sling.launchpad.base.impl.bootstrapcommands.BootstrapCommandFile
Modifier and Type
Constant Field
Value
`public static final String`
`COMMENT_PREFIX`
`"#"`

org.apache.sling.launchpad.base.shared.SharedConstants
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SLING_LAUNCHER_JAR`
`"/resources/org.apache.sling.launchpad.base.jar"`
`public static final String`
`DEFAULT_SLING_LISTENER`
`"org.apache.sling.launchpad.base.webapp.SlingHttpSessionListenerDelegate"`
`public static final String`
`DEFAULT_SLING_MAIN`
`"org.apache.sling.launchpad.base.app.MainDelegate"`
`public static final String`
`DEFAULT_SLING_SERVLET`
`"org.apache.sling.launchpad.base.webapp.SlingServletDelegate"`
`public static final String`
`DISABLE_PACKAGE_BUNDLE_LOADING`
`"org.apache.sling.launchpad.disable.package.bundle.loading"`
`public static final String`
`FORCE_PACKAGE_BUNDLE_LOADING`
`"org.apache.sling.launchpad.force.package.bundle.loading"`
`public static final String`
`LAUNCHER_JAR_REL_PATH`
`"org.apache.sling.launchpad.base.jar"`
`public static final String`
`SLING_HOME`
`"sling.home"`
`public static final String`
`SLING_HOME_DEFAULT`
`"sling"`
`public static final String`
`SLING_INSTALL_INCREMENTAL_START`
`"sling.framework.install.incremental"`
`public static final String`
`SLING_INSTALL_STARTLEVEL`
`"sling.framework.install.startlevel"`
`public static final String`
`SLING_INSTALL_TARGETSTARTLEVEL`
`"sling.framework.install.targetstartlevel"`
`public static final String`
`SLING_LAUNCHPAD`
`"sling.launchpad"`
`public static final String`
`SLING_PROPERTIES`
`"sling.properties"`
`public static final String`
`SLING_PROPERTIES_URL`
`"sling.properties.url"`